---
title: "Fork Awesome. Your possible Font Awesome replacement."
date: 2018-03-15T16:45:31+02:00
slug: "fork-awesome-your-possible-font-awesome-replacement"
image: /content/images/2018/03/Screenshot_2018-03-15_22-15-53.png
---

I recently redesigned [my website](https://quad.moe), it's a fancy looking, but pretty pointless design. I like how it looks, but it performs Ajax requests not because it needs to, but because it was a nice excuse to try and learn some JavaScript (I admit, my JavaScript knowledge is quite lacking) 

I decided to just put many pointless JavaScript features in there. I removed a bunch, such as pointless loading spinners after the joke got old, but ajax requests remained simply because getting them out of the code would be a hassle, unless I want to use multiple pages instead of some CSS magic.

But while making that new website I encountered a little problem. In fact it's a problem I've encountered before. And that problem was Font Awesome. As the name implies, Font Awesome is usually pretty awesome. But it still lacks many icons I want. Most notably Mastodon and diaspora. In addition to some others that would be fun to have, like XMPP.

Not only has Font Awesome been consistently... mediocre at adding icons people want. With their new 5.0 release they've also caused some controversy. You see they now have both a "Free" version and a "Paid" version. Now, some people find this iffy, but most people don't care that much. Aince most the paid icons are just other varieties of existing Free icons.

However one thing many people didn't like was how Font Awesome decided to switch from using CSS to handle the icons, to using JavaScript instead. In the past it acted as a regular web font and you'd import it via CSS, easy-peasy.

But with current versions, they want you load load a piece of Javascript, which then inserts SVG elements into your page. For now, you can still use the CSS method if you prefer, but nobody knows how long the Font Awesome team plans to keep it around. A bunch of people weren't too happy about this.

One of these people seem to have made a fork of Font Awesome, I came across it while trying to figure out what other icon packs could have Mastodon and diaspora icons. And it's fittingly named [Fork Awesome](https://forkawesome.github.io/Fork-Awesome/). It's a fork of the 4.x versions of Font Awesome, meaning it still uses the classic and more basic CSS method instead of fancy JavaScript magic.

But it also adds new icons. Among them, both a Mastodon icon and a diaspora icon. Absolutely perfect.

![Screenshot_2018-03-15_22-15-43](/content/images/2018/03/Screenshot_2018-03-15_22-15-43.png)
<small>Fork Awesome seems better at adding icons for open software and platforms than the original Font Awesome was.</small>

The project seems relatively fresh, but I've decided to use it on my website for now. If you're not happy with Font Awesome, I recommend you give Fork Awesome a peek. It's pretty new and therefore they haven't added too many new icons yet. But it looks very promising and it already has many interesting icons. Such as Mastodon, diaspora, GNU Social, Debian and even an icon for the ActivityPub protocol itself.
