---
title: "Moving from Ghost to Hugo"
date: 2018-06-04T17:12:30+02:00
slug: "moving-from-ghost-to-hugo"
image: /img/post/hugo-move/header.png
---

Ghost has always been an easy way to get a neat looking blog. But it's about time I left it.

While Ghost does indeed have pretty looking themes. It's simply changed a lot over time. Most notably they don't even properly document how to set it up without using their ghost installer anymore. Which is just ludricrous. It makes it easy to set up a blog if you have a clean server to run it on. But if you want to set it up alongside your existing web server and applications it can be quite annoying to deal with.

It is of course also written in node.js. And considering how little traffic my blog gets, it's not really worth keeping a node application running all the time, draining a lot of ram. I've wanted to move for a while, but none of the themes offered by static site generators appealed to me the say way Ghost's Casper theme did. But finally, a hugo port of the casper-two theme seems to be pretty mature. So I went ahead and hopped ships.

From now on this site is powered by [Hugo](https://gohugo.io), a static site generator. None of the migration scripts from ghost really worked well, most of them screwed up the timestamps, didn't handle slugs properly, or had some other issue. So in the end I decided to either write my own script, or to migrate stuff myself. In the end I was a lazy man, I decided to simply bring along the most popular posts from my old blog. Most posts on here were fairly useless anyhow. If you notice missing images or anything similar in the older posts on this site, please inform me so I can fix them.

Serving static files instead of running a node.js application will easily save me a nice chunk of RAM for other tasks.
